## GstCudaAllocator

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstAllocator
                    ╰──GstCudaAllocator

A GstAllocator subclass for cuda memory

### Members

`parent` (GstAllocator) –
No description available

### Class structure

#### GstCudaAllocatorClass

##### Fields

`parent_class` (GstAllocatorClass) –
No description available

### GstCuda.CudaAllocatorClass

##### Attributes

`parent_class` (Gst.AllocatorClass) –
No description available

### GstCuda.CudaAllocatorClass

##### Attributes

`parent_class` (Gst.AllocatorClass) –
No description available

## GstCuda.CudaAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstCuda.CudaAllocator

A Gst.Allocator subclass for cuda memory

### Members

`parent` (Gst.Allocator) –
No description available

## GstCuda.CudaAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstCuda.CudaAllocator

A Gst.Allocator subclass for cuda memory

### Members

`parent` (Gst.Allocator) –
No description available

### Methods

#### gst_cuda_allocator_alloc

    GstMemory *
    gst_cuda_allocator_alloc (GstCudaAllocator * allocator,
                              GstCudaContext * context,
                              const GstVideoInfo * info)

Parameters:

`allocator` –
No description available
`context` –
No description available
`info` –
No description available
Returns –
No description available

Since : 1.22

#### GstCuda.CudaAllocator.prototype.alloc

    function GstCuda.CudaAllocator.prototype.alloc(context: GstCuda.CudaContext, info: GstVideo.VideoInfo): {
        // javascript wrapper for 'gst_cuda_allocator_alloc'
    }

Parameters:

`allocator` (GstCuda.CudaAllocator) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`info` (GstVideo.VideoInfo) –
No description available
Returns (Gst.Memory) –
No description available

Since : 1.22

#### GstCuda.CudaAllocator.alloc

    def GstCuda.CudaAllocator.alloc (self, context, info):
        #python wrapper for 'gst_cuda_allocator_alloc'

Parameters:

`allocator` (GstCuda.CudaAllocator) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`info` (GstVideo.VideoInfo) –
No description available
Returns (Gst.Memory) –
No description available

Since : 1.22

## GstCudaMemory

### Members

`mem` (GstMemory) –
No description available
`context` (GstCudaContext *) –
No description available
`info` (GstVideoInfo) –
No description available

## GstCuda.CudaMemory

### Members

`mem` (Gst.Memory) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`info` (GstVideo.VideoInfo) –
No description available

## GstCuda.CudaMemory

### Members

`mem` (Gst.Memory) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`info` (GstVideo.VideoInfo) –
No description available

### Functions

#### gst_cuda_memory_init_once

    gst_cuda_memory_init_once ()

Ensures that the GstCudaAllocator is initialized and ready to be used.

Since : 1.22

#### GstCuda.CudaMemory.prototype.init_once

    function GstCuda.CudaMemory.prototype.init_once(): {
        // javascript wrapper for 'gst_cuda_memory_init_once'
    }

Ensures that the GstCuda.CudaAllocator is initialized and ready to be used.

Since : 1.22

#### GstCuda.CudaMemory.init_once

    def GstCuda.CudaMemory.init_once ():
        #python wrapper for 'gst_cuda_memory_init_once'

Ensures that the GstCuda.CudaAllocator is initialized and ready to be used.

Since : 1.22

## Functions

### gst_is_cuda_memory

    gboolean
    gst_is_cuda_memory (GstMemory * mem)

Check if mem is a cuda memory

Parameters:

`mem` –

A GstMemory

Returns –
No description available

Since : 1.22

### GstCuda.prototype.is_cuda_memory

    function GstCuda.prototype.is_cuda_memory(mem: Gst.Memory): {
        // javascript wrapper for 'gst_is_cuda_memory'
    }

Check if mem is a cuda memory

Parameters:

`mem` (Gst.Memory) –

A Gst.Memory

Returns (Number) –
No description available

Since : 1.22

### GstCuda.is_cuda_memory

    def GstCuda.is_cuda_memory (mem):
        #python wrapper for 'gst_is_cuda_memory'

Check if mem is a cuda memory

Parameters:

`mem` (Gst.Memory) –

A Gst.Memory

Returns (bool) –
No description available

Since : 1.22

## Function Macros

### GST_CUDA_ALLOCATOR_CAST

    #define GST_CUDA_ALLOCATOR_CAST(obj)        ((GstCudaAllocator *)(obj))

### GST_CUDA_MEMORY_CAST

    #define GST_CUDA_MEMORY_CAST(mem)           ((GstCudaMemory *) (mem))

## Enumerations

### GstCudaMemoryTransfer

##### Members

`GST_CUDA_MEMORY_TRANSFER_NEED_DOWNLOAD` (1048576) –

the device memory needs downloading to the staging memory

`GST_CUDA_MEMORY_TRANSFER_NEED_UPLOAD` (2097152) –

the staging memory needs uploading to the device memory

### GstCuda.CudaMemoryTransfer

##### Members

`GstCuda.CudaMemoryTransfer.DOWNLOAD` (1048576) –

the device memory needs downloading to the staging memory

`GstCuda.CudaMemoryTransfer.UPLOAD` (2097152) –

the staging memory needs uploading to the device memory

### GstCuda.CudaMemoryTransfer

##### Members

`GstCuda.CudaMemoryTransfer.DOWNLOAD` (1048576) –

the device memory needs downloading to the staging memory

`GstCuda.CudaMemoryTransfer.UPLOAD` (2097152) –

the staging memory needs uploading to the device memory

## Constants

### GST_CAPS_FEATURE_MEMORY_CUDA_MEMORY

    #define GST_CAPS_FEATURE_MEMORY_CUDA_MEMORY "memory:CUDAMemory"

Name of the caps feature for indicating the use of GstCudaMemory

### GstCuda.CAPS_FEATURE_MEMORY_CUDA_MEMORY

Name of the caps feature for indicating the use of GstCuda.CudaMemory

### GstCuda.CAPS_FEATURE_MEMORY_CUDA_MEMORY

Name of the caps feature for indicating the use of GstCuda.CudaMemory

### GST_CUDA_MEMORY_TYPE_NAME

    #define GST_CUDA_MEMORY_TYPE_NAME "gst.cuda.memory"

Name of cuda memory type

### GstCuda.CUDA_MEMORY_TYPE_NAME

Name of cuda memory type

### GstCuda.CUDA_MEMORY_TYPE_NAME

Name of cuda memory type

### GST_MAP_CUDA

    #define GST_MAP_CUDA (GST_MAP_FLAG_LAST << 1)

Flag indicating that we should map the CUDA device memory instead of to system memory.

Combining GST_MAP_CUDA with GST_MAP_WRITE has the same semantics as though you are writing to CUDA device/host memory. Conversely, combining GST_MAP_CUDA with GST_MAP_READ has the same semantics as though you are reading from CUDA device/host memory

### GstCuda.MAP_CUDA

Flag indicating that we should map the CUDA device memory instead of to system memory.

Combining GstCuda.MAP_CUDA with Gst.MapFlags.WRITE has the same semantics as though you are writing to CUDA device/host memory. Conversely, combining GstCuda.MAP_CUDA with Gst.MapFlags.READ has the same semantics as though you are reading from CUDA device/host memory

### GstCuda.MAP_CUDA

Flag indicating that we should map the CUDA device memory instead of to system memory.

Combining GstCuda.MAP_CUDA with Gst.MapFlags.WRITE has the same semantics as though you are writing to CUDA device/host memory. Conversely, combining GstCuda.MAP_CUDA with Gst.MapFlags.READ has the same semantics as though you are reading from CUDA device/host memory

The results of the search are